aclocal.m4: Fix llc/opt detection code
authorHerbert Valerio Riedel <hvr@gnu.org>
Sun, 20 Dec 2015 20:29:51 +0000 (21:29 +0100)
committerHerbert Valerio Riedel <hvr@gnu.org>
Sun, 20 Dec 2015 20:33:25 +0000 (21:33 +0100)
commitf7bd37ed6fc84a9d5d69850a83a983248729968a
tree86a4e422474ced2f706c0e7b53f8381ce9cd055d
parent3b669606914b2c712c4f0cb86de695cfbf2decfc
aclocal.m4: Fix llc/opt detection code

Currently if llc/opt is missing, we get

  checking for llc-3.7... no
  checking for llc... no
  checking  is version 3.7... ./configure[7417]: --version:  not found
  no
  checking for opt-3.7... no
  checking for opt... no
  checking  is version 3.7... ./configure[7664]: --version:  not found
  no
  checking for llc... no
  checking for opt... no

With this fix, the version is queried iff `llc`/`opt` has been detected
at all, thereby avoiding the disturbing `--version: not found` error
output.

Reviewed By: thomie

Differential Revision: https://phabricator.haskell.org/D1674
aclocal.m4